package py.com.roshka.fragment_v001a

import android.content.Context
import android.content.Intent
import androidx.appcompat.app.AppCompatActivity
import android.os.Bundle
import androidx.viewpager.widget.ViewPager
import kotlinx.android.synthetic.main.activity_main.*
import py.com.roshka.fragment_v001a.fragments.FragmentPagina
import py.com.roshka.fragment_v001a.modelo.ModeloNoticia

class MainActivity : AppCompatActivity() {

    private val fragment1 = FragmentPagina()
    private val fragment2 = FragmentPagina()
    private lateinit var adaptadorPagina : AdapterViewPager
    private val SKIP = "PREFERENCE_NAME"
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_main)
        val sharedPreference =  getSharedPreferences(SKIP,Context.MODE_PRIVATE)
        var editor = sharedPreference.edit()

        if (sharedPreference.getBoolean(SKIP, false)){
            goToLogin(this)
        }

        fragment1.noticia = ModeloNoticia("Roshka Bootcamp Nro.6",
            "se realiza varias actividades tanto academicas como de entretenimiento.",
        R.drawable.bbva_novedades01)
        fragment2.noticia = ModeloNoticia("Programacion Android con Kotlin",
        "The best way para el futuro, bastante flexible y potente",
        R.drawable.bbva_novedades02)

        adaptadorPagina =AdapterViewPager(supportFragmentManager)
        adaptadorPagina.list.add(fragment1)
        adaptadorPagina.list.add(fragment2)

        vistaPaginas.adapter = adaptadorPagina

        accederLogin.setOnClickListener {

            editor.putBoolean(SKIP, true)
            editor.commit()

            goToLogin(this)
        }

        vistaPaginas.addOnPageChangeListener(object : ViewPager.OnPageChangeListener{
            override fun onPageScrollStateChanged(state: Int) {
            }

            override fun onPageScrolled(position: Int, positionOffset: Float, positionOffsetPixels: Int) {
            }

            override fun onPageSelected(position: Int) {

                when(vistaPaginas.currentItem){
                    0->{
                        indicator1.setImageResource(R.drawable.ic_pantalla_activa)
                        indicator2.setImageResource(R.drawable.ic_pantalla_inactiva)
                    }
                    1->{
                        indicator1.setImageResource(R.drawable.ic_pantalla_inactiva)
                        indicator2.setImageResource(R.drawable.ic_pantalla_activa)
                    }
                }

            }

        })
    }

    private fun goToLogin(context : Context){
        val intentoLogin = Intent(context, LoginActivity::class.java)
        startActivity(intentoLogin)
    }
}
